/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <stdio.h>
#include <zephyr/kernel.h>

int main(void)
{
	
	while(1) {
		/*
		 * Allow program to enter idle thread and system ON mode for 1 seconds
		 * Typ. current consumption numbers in System ON mode:
		 * https://docs.nordicsemi.com/bundle/ps_nrf52840/page/_tmp/nrf52840/autodita/CURRENT/parameters.i_sleep.html 
		 */
		k_msleep(1000);
		/*
		 * Run busy wait loop for 1 ms to simulate system run current with CPU active
		 */
		k_busy_wait(1000);
	}

	return 0;
}
